Publications
Assess Publication Draft Adoption
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthpublicationId*stringLength
1 <= length- body
expectedRevision*integerRange
1 <= valueexpectedSourceRevision*integerRange
1 <= valueexpectedProfileVersionId*stringLength
1 <= lengthactiveProfileVersionId*stringLength
1 <= lengthtargetContent*previousLocalContent?Response for status 200
application/json- response
valid*booleanissues*array<>curl -X POST 'https://postbot.example/api/projects/string/publications/string/draft/assess-adoption' \
-H 'Content-Type: application/json' \
-d '{
"expectedRevision": 1,
"expectedSourceRevision": 1,
"expectedProfileVersionId": "string",
"activeProfileVersionId": "string",
"targetContent": {}
}'Example Response
{
"valid": true,
"issues": [
{}
]
}